package org.apache.ojb.broker.metadata;

/**
 *  A persistant class used to store names of dynamically loaded classes.
 *  This is required to enable queries by extents even if some extent
 * memeber classes have not been saved since the last OJB startup.
 **/
public class DynamicClassEntry {
	private String name;

	public DynamicClassEntry() {
	}
	
	public DynamicClassEntry(String className) {
		name = className;
	}
	
	public DynamicClassEntry(Class c) {
		this(c.getName());
	}
	
	public String getClassName() { return name; }
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}


}
